{include="header2"}

{if="$fsc->bloquear"}
<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th class="text-left" width="190">Documento</th>
                     <th class="text-left" width="140">Fecha</th>
                     <th class="text-right" width="140">Importe</th>
                     <th class="text-left">Nota</th>
                  </tr>
               </thead>
               {loop="$fsc->pagos"}
               <tr class="clickableRow{if="$value->pendiente==0"} success{/if}" href="{$value->url()}">
                  <td>{$value->fase}</td>
                  <td>{$value->fecha}</div></td>
                  <td class="text-right">{$fsc->show_precio($value->importe)}</td>
                  <td>{$value->nota}</td>
               </tr>
               {else}
               <tr class="warning">
                  <td colspan="4">Ningún pago registrado.</td>
               </tr>
               {/loop}
            </table>
         </div>
         <div class="alert alert-warning">Los pagos de este documento se encuentran bloqueados.</div>
      </div>
   </div>
</div>
{else}
<script type="text/javascript">
   function eliminar_pago(id)
   {
      if( confirm("¿Realmente desea eliminar el pago?") )
      {
         window.location.href = '{$fsc->url()}&delete='+id;
      }
   }
</script>

<div class="table-responsive">
   <table class="table table-hover">
      <thead>
         <tr>
            <th class="text-left" width="190">Documento</th>
            <th class="text-center" width="130">Fecha</th>
            <th class="text-right" width="140">Importe</th>
            <th class="text-left">Nota</th>
            <th width="120"></th>
         </tr>
      </thead>
      {loop="$fsc->pagos"}
         <form class="form" action="{$fsc->url()}" method="post">
            <tr{if="$value->pendiente==0"} class="success"{/if}>
               <td><div class="form-control">{$value->fase}</div></td>
               <td>
                  <input type="hidden" name="idpago" value="{$value->id}"/>
                  <input type="text" name="fecha" class="form-control datepicker text-center" value="{$value->fecha}" autocomplete="off"/>
               </td>
               <td>
                  <input type="number" step="any" name="importe" class="form-control text-right" value="{$value->importe}" autocomplete="off"/>
               </td>
               <td>
                  <input type="text" name="nota" class="form-control" value="{$value->nota}" autocomplete="off"/>
               </td>
               <td class="text-right">
                  <div class="btn-group">
                     {if="$fsc->allow_delete"}
                     <a class="btn btn-sm btn-danger" title="Eliminar" onclick="eliminar_pago('{$value->id}')">
                        <span class="glyphicon glyphicon-trash"></span>
                     </a>
                     {/if}
                     <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();" title="Guardar">
                        <span class="glyphicon glyphicon-floppy-disk"></span>
                     </button>
                  </div>
               </td>
            </tr>
         </form>
      {else}
      <tr class="warning">
         <td colspan="5">Ningún pago encontrado.</td>
      </tr>
      {/loop}
   </table>
</div>

{if="!$fsc->pagado"}
<form class="form" action="{$fsc->url()}" method="post">
   <div class="container">
      <div class="row">
         <div class="col-sm-12">
            <h3>
               <span class="glyphicon glyphicon-plus-sign"></span>
               Nuevo pago:
            </h3>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-4">
            <div class="form-group">
               <input type="text" name="fecha" class="form-control datepicker" value="{$fsc->today()}" autocomplete="off"/>
            </div>
         </div>
         <div class="col-sm-4">
            <div class="form-group">
               <div class="input-group">
                  <input type="number" step="any" name="importe" class="form-control text-right" value="{$fsc->pendiente}" autocomplete="off"/>
                  <span class="input-group-addon">{$fsc->simbolo_divisa($fsc->coddivisa)}</span>
               </div>
            </div>
         </div>
         <div class="col-sm-4 text-right">
            <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
               <span class="glyphicon glyphicon-floppy-disk"></span>
               <span class="hidden-xs">&nbsp; Guardar</span>
            </button>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-12">
            <div class="form-group">
               <textarea name="nota" class="form-control">Anticipo...</textarea>
            </div>
         </div>
      </div>
   </div>
</form>
{/if}

{/if}

{include="footer2"}